NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.LineDesigner.AlignComponentsBuilder Class Reference

More...

Inheritance diagram for NXOpen.LineDesigner.AlignComponentsBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ReferenceValues { AbsoluteinDisplayedPart, Wcs }
 This enum is providing selection of reference to align More...
 
enum  SelectDirectionOptionEnum { X, Y, Z, UserDefinedDirection }
 This enum is providing selection of direction in to align More...
 

Properties

unsafe
NXOpen.SelectDisplayableObjectList 
ComponentsToAlign [get]
 Returns the components to align More...
 
unsafe
NXOpen.SelectDisplayableObject 
ComponentToAlignTo [get]
 Returns the component to align to More...
 
unsafe
NXOpen.LineDesigner.AlignComponentsBuilder.ReferenceValues 
Reference [get, set]
 Returns or sets the reference More...
 
unsafe
NXOpen.LineDesigner.AlignComponentsBuilder.SelectDirectionOptionEnum 
SelectDirectionOption [get, set]
 Returns or sets the component origin direction More...
 
unsafe NXOpen.Direction SpecifyDirection [get, set]
 Returns or sets the specify direction More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

To create a new instance of this class, use NXOpen.LineDesigner.LineDesignerManager.CreateAlignComponentsBuilder

Default values.

Property Value

Reference

AbsoluteinDisplayedPart

SelectDirectionOption

X

Created in NX12.0.1

Member Enumeration Documentation

This enum is providing selection of reference to align

Enumerator
AbsoluteinDisplayedPart 
Wcs 

This enum is providing selection of direction in to align

Enumerator
X 
Y 
Z 
UserDefinedDirection 

Property Documentation

unsafe NXOpen.SelectDisplayableObjectList NXOpen.LineDesigner.AlignComponentsBuilder.ComponentsToAlign
get

Returns the components to align

Created in NX12.0.1

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.SelectDisplayableObject NXOpen.LineDesigner.AlignComponentsBuilder.ComponentToAlignTo
get

Returns the component to align to

Created in NX12.0.1

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.LineDesigner.AlignComponentsBuilder.ReferenceValues NXOpen.LineDesigner.AlignComponentsBuilder.Reference
getset

Returns or sets the reference

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.LineDesigner.AlignComponentsBuilder.SelectDirectionOptionEnum NXOpen.LineDesigner.AlignComponentsBuilder.SelectDirectionOption
getset

Returns or sets the component origin direction

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.Direction NXOpen.LineDesigner.AlignComponentsBuilder.SpecifyDirection
getset

Returns or sets the specify direction

Created in NX12.0.1

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.